Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200504-28 ] Heimdal: Buffer overflow vulnerabilities
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1471

PostPosted: Thu Apr 28, 2005 3:35 pm    Post subject: [ GLSA 200504-28 ] Heimdal: Buffer overflow vulnerabilities Reply with quote

Gentoo Linux Security Advisory

Title: Heimdal: Buffer overflow vulnerabilities (GLSA 200504-28)
Severity: normal
Exploitable: remote
Date: April 28, 2005
Bug(s): #89861
ID: 200504-28

Synopsis

Buffer overflow vulnerabilities have been found in the telnet client in Heimdal which could lead to execution of arbitrary code.

Background

Heimdal is a free implementation of Kerberos 5 that includes a telnet client program.

Affected Packages

Package: app-crypt/heimdal
Vulnerable: < 0.6.4
Unaffected: >= 0.6.4
Architectures: All supported architectures


Description

Buffer overflow vulnerabilities in the slc_add_reply() and env_opt_add() functions have been discovered by Gael Delalleau in the telnet client in Heimdal.

Impact

Successful exploitation would require a vulnerable user to connect to an attacker-controlled host using the telnet client, potentially executing arbitrary code with the permissions of the user running the application.

Workaround

There is no known workaround at this time.

Resolution

All Heimdal users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --ask --oneshot --verbose ">=app-crypt/heimdal-0.6.4"


References

CAN-2005-0468
CAN-2005-0469


Last edited by GLSA on Sat Aug 23, 2008 4:18 am; edited 5 times in total
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum